You are reading the documentation for v7.x and earlier, which is no longer the latest version. Switch to v8.x
getCartDeliveryModes
Get available delivery modes for the cart in SAP Commerce Cloud.
This method exchanges data with the getCartDeliveryModes endpoint exposed by the SAP OCC API Cart Delivery Modes Controller.
This method will only work for either a current user cart or a guest cart (i.e. cart with an email added to it). It will not work with an anonymous cart. The cart has to be assigned a delivery address beforehand. In case of a guest cart, remember to pass cart guid as the cartId param. In case of a current user cart, pass cart code instead.
Signature
export declare function getCartDeliveryModes(
context: SapccIntegrationContext,
props: GetCartDeliveryModesProps
): Promise<DeliveryModeList>;Parameters
| Name | Required | Type | Description |
|---|---|---|---|
context | Required | SapccIntegrationContext | |
props | Required | GetCartDeliveryModesProps | Parameter object which can be used with this method. Refer to its type definition to learn about possible properties. |
Returns
Returns a representation of a Delivery Mode List.
Referenced Types
Examples
Fetching delivery modes for the cart.
import { sdk } from '~/sdk';
const { deliveryModes } = await sdk.commerce.getCartDeliveryModes({ cartId: '00035084' });Fetching delivery modes for the cart and selecting response fields.
import { sdk } from '~/sdk';
const { deliveryModes } = await sdk.commerce.getCartDeliveryModes({
cartId: '00035084',
fields: 'deliveryModes(code)'
});